# $Revision: 1.3 $, $Date: 2002/09/05 21:12:36 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Module
%define	pnam	Info
Summary:	Module::Info perl module - information about Perl Modules
Summary(pl):	Modu perla Module::Info - informacje o moduach perla
Name:		perl-Module-Info
Version:	0.12
Release:	3
License:	?
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
#BuildRequires:	perl-B-Utils
BuildRequires:	perl(File::Spec) >= 0.8
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-16
Conflicts:	perl-B-Utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Info gives you information about Perl modules without actually
loading the module. It actually isn't specific to modules and should
work on any perl code.

%description -l pl
Module::Info podaje informacje o moduach Perla bez wczytywania
moduu. Dziaanie to waciwie nie jest ograniczone do moduw i
powinno dziaa z dowolnym kodem w Perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/*
%{perl_sitelib}/B/*.pm
%{perl_sitelib}/B/Module
%{perl_sitelib}/Module/Info.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Module-Info.spec,v $
Revision 1.3  2002/09/05 21:12:36  radek
- release 3
- added Conflicts: perl-B-Utils

Revision 1.2  2002/09/04 13:53:37  radek
- added conditional tests
- removed conflict with perl-B-Utils, but tests will fail -- waiting
  for a new version, compliant with newest B::Utils.

Revision 1.1  2002/07/13 23:13:46  qboosh
- new

